## kalgebra 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "22")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kalgebra VERSION ${RELEASE_SERVICE_VERSION})
set(KF5_MIN_VERSION "5.90.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)
include(ECMAddAppIcon)

find_package(Qt${QT_MAJOR_VERSION} 5.15 REQUIRED NO_MODULE COMPONENTS Qml Quick Xml Svg PrintSupport Test)
find_package(Analitza5 REQUIRED)

set(MOBILE_BACKEND "kde" CACHE STRING "Backend to install, currently. Check /mobile/plugins/widgets/*")

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

set(CURSES_NEED_NCURSES TRUE)
find_package(Curses)
find_package(Readline)

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KALGEBRA VERSION_HEADER kalgebra_version.h)

set_package_properties(Readline PROPERTIES TYPE OPTIONAL
                                           PURPOSE "Allows KAlgebra to provide a console interface."
                                           URL "https://tiswww.case.edu/php/chet/readline/rltop.html")
set_package_properties(Curses PROPERTIES TYPE OPTIONAL
                                         PURPOSE "Allows KAlgebra to provide a console interface."
                                         URL "https://www.gnu.org/software/ncurses/")

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_NO_CAST_TO_ASCII)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons)
find_package(KF5 ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS ConfigWidgets WidgetsAddons KIO DocTools)
find_package(Qt${QT_MAJOR_VERSION}WebEngineWidgets)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6 REQUIRED NO_MODULE COMPONENTS OpenGLWidgets)
endif()


if(KF5DocTools_FOUND AND Qt${QT_MAJOR_VERSION}WebEngineWidgets_FOUND AND KF5ConfigWidgets_FOUND AND KF5WidgetsAddons_FOUND AND KF5KIO_FOUND AND NOT CMAKE_SYSTEM MATCHES Android*)
    add_subdirectory(src)
    add_subdirectory(plasmoids)
endif()

add_subdirectory(icons)
add_subdirectory(mobile)

if(READLINE_FOUND AND CURSES_FOUND)
    add_subdirectory(calgebra)
endif()

if(KF5DocTools_FOUND)
  add_subdirectory(utils)

  add_custom_target(commandsdoc
    ${CMAKE_CURRENT_BINARY_DIR}/utils/docbook_analitzacommands commands.docbook
    DEPENDS docbook_analitzacommands
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/doc/
    COMMENT "Generating commands docbook information"
  )

  add_subdirectory(doc)
endif()

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== plasmoids/CMakeLists.txt ===
install(DIRECTORY graphsplasmoid/ DESTINATION ${KDE_INSTALL_DATADIR}/plasma/plasmoids/org.kde.graphsplasmoid)
install(FILES graphsplasmoid/metadata.desktop DESTINATION ${KDE_INSTALL_KSERVICESDIR} RENAME graphsplasmoid.desktop)

=== debian/changelog ===
kalgebra (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:12 +0100

kalgebra (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:59:43 +0100

kalgebra (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:23 +0100

kalgebra (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 19:56:31 +0100

=== debian/control ===
Source: kalgebra
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               kirigami2-dev,
               libanalitza-dev (>= 4:20.08.0~),
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libncurses5-dev,
               libqt5opengl5-dev (>= 5.14),
               libqt5svg5-dev (>= 5.15~),
               libreadline-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15~),
               qtdeclarative5-dev (>= 5.15~),
               qtquickcontrols2-5-dev,
               qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
Standards-Version: 4.6.2
Homepage: https://edu.kde.org/kalgebra
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalgebra
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalgebra.git
Rules-Requires-Root: no

Package: kalgebra
Architecture: amd64 arm64 armhf i386 mipsel
Section: math
Depends: kalgebra-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: calgebra,
Description: algebraic graphing calculator
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.
 .
 This package is part of the KDE education module.

Package: kalgebra-common
Architecture: amd64 arm64 armhf i386 mipsel
Section: math
Depends: plasma-framework,
         qml-module-org-kde-analitza,
         qml-module-qtquick2,
         ${misc:Depends},
Multi-Arch: same
Description: contains files common for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package is part of the KDE education module.

Package: kalgebramobile
Architecture: any
Section: math
Depends: kalgebra-common (= ${binary:Version}) [amd64 arm64 armhf i386 mipsel],
         plasma-framework,
         qml-module-org-kde-kirigami2,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: algebraic graphing calculator for small touch based interfaces
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This is the version for small touch based interfaces
 .
 This package is part of the KDE education module.

## kalgebra 23.08.0

=== debian/changelog ===
kalgebra (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:51:06 +0100

kalgebra (4:23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * Switch away from transitional build depends:
    - libgl1-mesa-dev => libgl-dev
    - libncurses5-dev => libncurses-dev
  * New upstream (RC) release (23.07.90)
 
  [ José Manuel Santamaría Lema ]
  * Add libkf5plasma-dev to Build-Depends
  * Update installed files

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:31:05 +0100

kalgebra (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:43:25 +0100

kalgebra (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:54:24 +0100

kalgebra (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:35:13 +0000

kalgebra (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:12:13 -0600

kalgebra (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:12:04 +0000

kalgebra (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build dep on libanalitza-dev (>= 4:22.12.0~)

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 17:32:40 +0000

kalgebra (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:06:09 +0000

kalgebra (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:02:34 +0000

kalgebra (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:48:08 +0000

kalgebra (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:06:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: kalgebra
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.90.0~),
                kirigami2-dev,
-               libanalitza-dev (>= 4:20.08.0~),
-               libgl1-mesa-dev,
+               libanalitza-dev (>= 4:23.08.0~),
+               libgl-dev,
                libglu1-mesa-dev,
                libkf5configwidgets-dev (>= 5.90.0~),
                libkf5coreaddons-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
                libkf5kio-dev (>= 5.90.0~),
+               libkf5plasma-dev,
                libkf5widgetsaddons-dev (>= 5.90.0~),
-               libncurses5-dev,
+               libncurses-dev,
                libqt5opengl5-dev (>= 5.14),
                libqt5svg5-dev (>= 5.15~),
                libreadline-dev,
@@ -27,10 +29,10 @@
                qtdeclarative5-dev (>= 5.15~),
                qtquickcontrols2-5-dev,
                qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://edu.kde.org/kalgebra
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalgebra
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalgebra.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
 Rules-Requires-Root: no
 
 Package: kalgebra
@@ -39,7 +41,7 @@
 Depends: kalgebra-common (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Conflicts: calgebra,
+Conflicts: calgebra
 Description: algebraic graphing calculator
  KAlgebra is a algebraic graphing calculator with support for 3D graphing and
  MathML markup language.

## kalgebra 23.08.1

=== debian/changelog ===
kalgebra (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:56:13 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.90.0~),
                kirigami2-dev,
-               libanalitza-dev (>= 4:23.08.0~),
+               libanalitza-dev (>= 4:23.08.1~),
                libgl-dev,
                libglu1-mesa-dev,
                libkf5configwidgets-dev (>= 5.90.0~),

## kalgebra 23.08.4

=== debian/changelog ===
kalgebra (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:12:28 +0000

kalgebra (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:31:47 +0000

kalgebra (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:28:05 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.90.0~),
                kirigami2-dev,
-               libanalitza-dev (>= 4:23.08.1~),
+               libanalitza-dev (>= 4:23.08.4~),
                libgl-dev,
                libglu1-mesa-dev,
                libkf5configwidgets-dev (>= 5.90.0~),

## kalgebra 23.08.5

=== mobile/CMakeLists.txt ===
qt_add_resources(KALGEBRAMOBILE_SRCS resources.qrc)

add_executable(kalgebramobile
    ../src/consolemodel.cpp
    clipboard.cpp
    kalgebramobile.cpp
    main.cpp
    ${KALGEBRAMOBILE_SRCS})

target_link_libraries(kalgebramobile Qt::Qml Qt::Quick Qt::Gui
    KF${KF_MAJOR_VERSION}::CoreAddons KF${KF_MAJOR_VERSION}::I18n KF5::Analitza KF5::AnalitzaGui KF5::AnalitzaPlot)

set(DESKTOPFILE_INSTALL ${KDE_INSTALL_APPDIR})

if(ANDROID)
#   Material requires QtSvg for icons
#   if we don't link it here explicitly, androiddeployqt doesn't bring it
    find_package(Qt${QT_MAJOR_VERSION}Svg REQUIRED)
    find_package(Qt${QT_MAJOR_VERSION}QuickControls2 REQUIRED)
    find_package(KF5Kirigami2 REQUIRED)
    kirigami_package_breeze_icons(ICONS list-add)
    target_link_libraries(kalgebramobile Qt::Svg KF5::Kirigami2 Qt::QuickControls2)
else()
    find_package(Qt${QT_MAJOR_VERSION}Widgets REQUIRED)
    target_link_libraries(kalgebramobile Qt::Widgets)
endif()

install(TARGETS kalgebramobile ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kalgebramobile.desktop DESTINATION ${DESKTOPFILE_INSTALL} )
install(FILES org.kde.kalgebramobile.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== src/CMakeLists.txt ===
add_executable(kalgebra)
target_sources(kalgebra PRIVATE
    askname.h
    consolehtml.cpp
    consolehtml.h
    consolemodel.cpp
    consolemodel.h
    dictionary.cpp
    dictionary.h
    functionedit.cpp
    functionedit.h
    kalgebra.cpp
    kalgebra.h
    main.cpp
    varedit.cpp
    varedit.h
    variablesdelegate.cpp
    variablesdelegate.h
    viewportwidget.cpp
    viewportwidget.h
)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-kalgebra.png")
ecm_add_app_icon(kalgebra ICONS ${ICONS_SRCS})

target_link_libraries(kalgebra Qt::Widgets Qt::PrintSupport Qt::WebEngineWidgets KF${KF_MAJOR_VERSION}::I18n
                               KF${KF_MAJOR_VERSION}::CoreAddons KF${KF_MAJOR_VERSION}::WidgetsAddons KF${KF_MAJOR_VERSION}::ConfigWidgets
                               KF${KF_MAJOR_VERSION}::XmlGui # HelpMenu
                               KF${KF_MAJOR_VERSION}::KIOCore
                               KF${KF_MAJOR_VERSION}::I18n
                               KF5::Analitza KF5::AnalitzaWidgets KF5::AnalitzaGui KF5::AnalitzaPlot)

                           if (QT_MAJOR_VERSION STREQUAL "6")
                               target_link_libraries(kalgebra Qt6::OpenGLWidgets)
                           endif()

install(TARGETS kalgebra ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kalgebra.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
install(FILES kalgebra.xml DESTINATION ${KDE_INSTALL_DATADIR}/katepart5/syntax )
install(FILES org.kde.kalgebra.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
kalgebra (4:23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:01:17 +0000

kalgebra (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:41:42 +0000

kalgebra (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:56:29 +0100

kalgebra (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:35:09 -0700

kalgebra (4:23.08.4-0ubuntu3) noble; urgency=medium

  * Release to archive. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 08 Feb 2024 04:39:17 -0700

kalgebra (4:23.08.4-0ubuntu2) noble; urgency=medium

  * Add apparmor profile to fix userns. Ref: LP:2046844 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 08 Feb 2024 04:29:52 -0700

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-apparmor,
                extra-cmake-modules (>= 5.90.0~),
                kirigami2-dev,
-               libanalitza-dev (>= 4:23.08.4~),
+               libanalitza-dev (>= 4:23.08.5~),
                libgl-dev,
                libglu1-mesa-dev,
                libkf5configwidgets-dev (>= 5.90.0~),
@@ -41,6 +42,7 @@
 Depends: kalgebra-common (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Suggests: apparmor
 Conflicts: calgebra
 Description: algebraic graphing calculator
  KAlgebra is a algebraic graphing calculator with support for 3D graphing and

## kalgebra 24.08.2

=== debian/changelog ===
kalgebra (4:24.08.2-1ubuntu2) plucky; urgency=medium

  * Fix analitza qml module runtime depend to be Qt6 version.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Nov 2024 17:08:13 +0000

kalgebra (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:51:36 -0500

kalgebra (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 01 Nov 2024 20:48:06 -0500

kalgebra (4:23.08.5-0ubuntu7) oracular; urgency=medium

  * Allow all in apparmor following other profiles. 

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 24 May 2024 07:00:27 -0700

kalgebra (4:23.08.5-0ubuntu6) oracular; urgency=medium

  * Also include <tunables/multiarch.d> to utilize variable.

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 24 May 2024 06:59:28 -0700

kalgebra (4:23.08.5-0ubuntu5) oracular; urgency=medium

  * Set @{multiarch} rather than hard code path. (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 16 May 2024 07:00:35 -0700

kalgebra (4:22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Drop the unused debian/kalgebramobile.qml-ignore file.
  * Add the configuration for the CI on salsa.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Stop using qtwebengine5-dev on mipsel, as it will be removed soon from
    that architecture.
  * Update the build dependencies according to the upstream build system:
    - drop the unused kirigami2-dev, libqt5opengl5-dev, qtquickcontrols2-5-dev
    - switch the transitional libgl1-mesa-dev to libgl-dev
    - switch the transitional libglu1-mesa-dev to libglu-dev
    - switch the transitional libncurses5-dev to libncurses-dev

 -- Pino Toscano <pino@debian.org>  Wed, 19 Jul 2023 07:02:48 +0200

=== debian/control ===
Source: kalgebra
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               libanalitza-dev (>= 4:24.08.2~),
               libgl-dev,
               libglu-dev,
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libncurses-dev,
               qt6-svg-dev (>= 6.5.0~),
               libreadline-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
Standards-Version: 4.7.0
Homepage: https://edu.kde.org/kalgebra
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
Rules-Requires-Root: no

Package: kalgebra
Architecture: amd64 arm64 armhf i386
Section: math
Depends: kalgebra-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: calgebra,
Description: algebraic graphing calculator
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.
 .
 This package is part of the KDE education module.

Package: kalgebra-common
Architecture: amd64 arm64 armhf i386
Section: math
Depends: qml6-module-org-kde-analitza,
         qml6-module-qtquick,
         ${misc:Depends},
Multi-Arch: same
Description: contains files common for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package is part of the KDE education module.

Package: kalgebramobile
Architecture: any
Section: math
Depends: kalgebra-common (= ${binary:Version}) [amd64 arm64 armhf i386],
         qml6-module-org-kde-kirigami,
         qml6-module-qtqml-models,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: algebraic graphing calculator for small touch based interfaces
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This is the version for small touch based interfaces
 .
 This package is part of the KDE education module.

## kalgebra 24.12.0

=== debian/changelog ===
kalgebra (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:05:09 +0000

kalgebra (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:03:24 +0000

kalgebra (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 12:19:44 +0000

kalgebra (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:36:48 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-apparmor,
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.3.0~),
-               libanalitza-dev (>= 4:24.08.2~),
+               libanalitza-dev (>= 4:24.12.0~),
                libgl-dev,
                libglu-dev,
                libkf6configwidgets-dev (>= 6.3.0~),
@@ -17,14 +17,14 @@
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
                libkf6kio-dev (>= 6.3.0~),
+               libkf6widgetsaddons-dev (>= 6.3.0~),
                libkf6xmlgui-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
                libncurses-dev,
-               qt6-svg-dev (>= 6.5.0~),
                libreadline-dev,
                pkgconf,
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
+               qt6-svg-dev (>= 6.5.0~),
                qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
 Standards-Version: 4.7.0
 Homepage: https://edu.kde.org/kalgebra

## kalgebra 24.12.1

=== debian/changelog ===
kalgebra (4:24.12.1-2+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 4:17.08.3-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 16 Dec 2017 12:52:33 +0000]
  * Make armhf a non-webengine architecture.
  * Fix clean target.

  [changes introduced in 4:24.12.1-2+rpi1 by Peter Michael Green]
  * fix building the -common package on non-webengine architectures.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 30 Jan 2025 13:31:51 +0000

kalgebra (4:24.12.1-2) unstable; urgency=medium

  * Release to unstable

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 13:38:11 +0100

kalgebra (4:24.12.1-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update copyright file

  [ Salvo 'LtWorf' Tomaselli ]
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 10:20:46 +0100

kalgebra (4:24.08.3-1) experimental; urgency=medium

  * Team upload.

  [ Rik Mills ]
  * Fix analitza qml module runtime depend to be Qt6 version (Closes:
    #1089529).

  [ Sandro Knauß ]
  * New upstream release (24.08.3)
  * Use dh_qmldeps to calculate QML dependencies.
  * Mark kalgebra-common as Arch:all.
  * Build plasmoid for Plasma6 in kalgebra-plasmoid.

 -- Sandro Knauß <hefee@debian.org>  Sun, 08 Dec 2024 16:51:42 +0100

=== debian/control ===
Source: kalgebra
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.3.0~),
               libanalitza-dev (>= 4:24.08.2~),
               libgl-dev,
               libglu-dev,
               kirigami-addons-dev,
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libncurses-dev,
               libplasma-dev,
               qt6-svg-dev (>= 6.5.0~),
               libreadline-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 i386],
Standards-Version: 4.7.0
Homepage: https://edu.kde.org/kalgebra
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalgebra
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalgebra.git
Rules-Requires-Root: no

Package: kalgebra
Architecture: amd64 arm64 i386
Section: math
Depends: kalgebra-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: kalgebra-plasmoid
Conflicts: calgebra,
Description: algebraic graphing calculator
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.
 .
 This package is part of the KDE education module.

Package: kalgebra-common
Architecture: all
Multi-Arch: foreign
Section: math
Depends: ${misc:Depends},
Description: contains files common for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package is part of the KDE education module.

Package: kalgebra-plasmoid
Architecture: any
Depends: kalgebra-common (= ${source:Version}),
         ${qml6:Depends},
         ${misc:Depends},
Enhances: plasma-desktop
Breaks: kalgebra-common (<< 4:24.08.3)
Replaces: kalgebra-common (<< 4:24.08.3)
Description: Widget for Plasma desktop for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package ship the Plasmoid for the Plasma desktop.

Package: kalgebramobile
Architecture: any
Section: math
Depends: kalgebra-common (= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Suggests: kalgebra-plasmoid
Description: algebraic graphing calculator for small touch based interfaces
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This is the version for small touch based interfaces
 .
 This package is part of the KDE education module.

## kalgebra 24.12.2

=== debian/changelog ===
kalgebra (4:24.12.2-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 01 Mar 2025 22:21:20 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                pkgconf,
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
-               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 i386],
+               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
 Standards-Version: 4.7.0
 Homepage: https://edu.kde.org/kalgebra
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalgebra
@@ -34,7 +34,7 @@
 Rules-Requires-Root: no
 
 Package: kalgebra
-Architecture: amd64 arm64 i386
+Architecture: amd64 arm64 armhf i386
 Section: math
 Depends: kalgebra-common (= ${source:Version}),
          ${misc:Depends},

## kalgebra 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "22")
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalgebra VERSION ${RELEASE_SERVICE_VERSION})
-set(KF5_MIN_VERSION "5.90.0")
-set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+set(KF_MIN_VERSION "6.3.0")
+set(KDE_COMPILERSETTINGS_LEVEL "6.3.0")
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
@@ -19,9 +19,20 @@
 include(ECMSetupVersion)
 include(FeatureSummary)
 include(ECMAddAppIcon)
+include(ECMDeprecationSettings)
+if (NOT ANDROID)
+    include(KDEClangFormat)
+    include(KDEGitCommitHooks)
+endif()
+set(QT_REQUIRED_VERSION "6.5.0")
 
-find_package(Qt${QT_MAJOR_VERSION} 5.15 REQUIRED NO_MODULE COMPONENTS Qml Quick Xml Svg PrintSupport Test)
-find_package(Analitza5 REQUIRED)
+find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE COMPONENTS Qml Quick Xml Svg PrintSupport Test OpenGLWidgets)
+find_package(Analitza6 REQUIRED)
+
+ecm_set_disabled_deprecation_versions(QT 6.8.0
+    KF 6.5.0
+)
+
 
 set(MOBILE_BACKEND "kde" CACHE STRING "Backend to install, currently. Check /mobile/plugins/widgets/*")
 
@@ -44,16 +55,16 @@
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DQT_NO_CAST_TO_ASCII)
 
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons)
-find_package(KF5 ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS ConfigWidgets WidgetsAddons KIO DocTools)
-find_package(Qt${QT_MAJOR_VERSION}WebEngineWidgets)
-if (QT_MAJOR_VERSION STREQUAL "6")
-    find_package(Qt6 REQUIRED NO_MODULE COMPONENTS OpenGLWidgets)
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons)
+find_package(KF6 ${KF_MIN_VERSION} OPTIONAL_COMPONENTS ConfigWidgets WidgetsAddons KIO DocTools XmlGui)
+find_package(Plasma)
+find_package(Qt6WebEngineWidgets)
+
+if(KF6DocTools_FOUND AND Qt6WebEngineWidgets_FOUND AND KF6ConfigWidgets_FOUND AND KF6WidgetsAddons_FOUND AND KF6KIO_FOUND AND NOT CMAKE_SYSTEM MATCHES Android*)
+    add_subdirectory(src)
 endif()
 
-
-if(KF5DocTools_FOUND AND Qt${QT_MAJOR_VERSION}WebEngineWidgets_FOUND AND KF5ConfigWidgets_FOUND AND KF5WidgetsAddons_FOUND AND KF5KIO_FOUND AND NOT CMAKE_SYSTEM MATCHES Android*)
-    add_subdirectory(src)
+if (Plasma_FOUND AND NOT CMAKE_SYSTEM MATCHES Android*)
     add_subdirectory(plasmoids)
 endif()
 
@@ -64,7 +75,7 @@
     add_subdirectory(calgebra)
 endif()
 
-if(KF5DocTools_FOUND)
+if(KF6DocTools_FOUND)
   add_subdirectory(utils)
 
   add_custom_target(commandsdoc
@@ -78,7 +89,14 @@
 endif()
 
 ki18n_install(po)
-if (KF5DocTools_FOUND)
+if (KF6DocTools_FOUND)
     kdoctools_install(po)
 endif()
 feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+if (NOT ANDROID)
+    file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h mobile/*.cpp mobile/*.h utils/*.cpp utils/*.h)
+    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+endif()

=== debian/changelog ===
kalgebra (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add apparmor profile to fix userns.

 -- Rik Mills <rikmills@kde.org>  Wed, 12 Mar 2025 00:53:15 +0000

kalgebra (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:38:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-apparmor,
                dh-sequence-kf6,
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.3.0~),

## kalgebra 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalgebra VERSION ${RELEASE_SERVICE_VERSION})
@@ -51,10 +51,6 @@
                                          PURPOSE "Allows KAlgebra to provide a console interface."
                                          URL "https://www.gnu.org/software/ncurses/")
 
-add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
-add_definitions(-DQT_NO_CAST_TO_ASCII)
-
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons)
 find_package(KF6 ${KF_MIN_VERSION} OPTIONAL_COMPONENTS ConfigWidgets WidgetsAddons KIO DocTools XmlGui)
 find_package(Plasma)

=== src/CMakeLists.txt ===
add_executable(kalgebra)
target_sources(kalgebra PRIVATE
    askname.h
    consolehtml.cpp
    consolehtml.h
    consolemodel.cpp
    consolemodel.h
    dictionary.cpp
    dictionary.h
    functionedit.cpp
    functionedit.h
    kalgebra.cpp
    kalgebra.h
    main.cpp
    varedit.cpp
    varedit.h
    variablesdelegate.cpp
    variablesdelegate.h
    viewportwidget.cpp
    viewportwidget.h
)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-kalgebra.png")
ecm_add_app_icon(kalgebra ICONS ${ICONS_SRCS})

target_link_libraries(kalgebra Qt::Widgets Qt::PrintSupport Qt::WebEngineWidgets KF6::I18n
                               KF6::CoreAddons KF6::WidgetsAddons KF6::ConfigWidgets
                               KF6::XmlGui # HelpMenu
                               KF6::KIOCore
                               KF6::I18n
                               KF6::Analitza KF6::AnalitzaWidgets KF6::AnalitzaGui KF6::AnalitzaPlot Qt6::OpenGLWidgets)

install(TARGETS kalgebra ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kalgebra.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
install(FILES kalgebra.xml DESTINATION ${KDE_INSTALL_DATADIR}/katepart5/syntax )
install(FILES org.kde.kalgebra.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
kalgebra (4:25.04.0-2) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Update kalgebra-plasmoid.install according to the newer kpackage, which does
    not generate appstream metainfo files for packages anymore.

 -- Pino Toscano <pino@debian.org>  Sat, 04 Oct 2025 07:58:34 +0200

kalgebra (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:25:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,36 +3,35 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
-               dh-apparmor,
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.3.0~),
+               kirigami-addons-dev,
                libanalitza-dev (>= 4:24.08.2~),
                libgl-dev,
                libglu-dev,
-               kirigami-addons-dev,
                libkf6configwidgets-dev (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
                libkf6kio-dev (>= 6.3.0~),
+               libkf6widgetsaddons-dev (>= 6.3.0~),
                libkf6xmlgui-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
+               libkirigami-dev,
                libncurses-dev,
                libplasma-dev,
-               qt6-svg-dev (>= 6.5.0~),
                libreadline-dev,
                pkgconf,
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
+               qt6-svg-dev (>= 6.5.0~),
                qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://edu.kde.org/kalgebra
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalgebra
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalgebra.git
-Rules-Requires-Root: no
 
 Package: kalgebra
 Architecture: amd64 arm64 armhf i386
@@ -40,7 +39,7 @@
 Depends: kalgebra-common (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Suggests: kalgebra-plasmoid
+Suggests: kalgebra-plasmoid,
 Conflicts: calgebra,
 Description: algebraic graphing calculator
  KAlgebra is a algebraic graphing calculator with support for 3D graphing and
@@ -63,11 +62,11 @@
 Package: kalgebra-plasmoid
 Architecture: any
 Depends: kalgebra-common (= ${source:Version}),
+         ${misc:Depends},
          ${qml6:Depends},
-         ${misc:Depends},
-Enhances: plasma-desktop
-Breaks: kalgebra-common (<< 4:24.08.3)
-Replaces: kalgebra-common (<< 4:24.08.3)
+Enhances: plasma-desktop,
+Breaks: kalgebra-common (<< 4:24.08.3),
+Replaces: kalgebra-common (<< 4:24.08.3),
 Description: Widget for Plasma desktop for kalgebra and kalgebramobile
  KAlgebra is a algebraic graphing calculator with support for 3D graphing and
  MathML markup language and it contains files needed for both full and mobile
@@ -82,7 +81,7 @@
          ${misc:Depends},
          ${qml6:Depends},
          ${shlibs:Depends},
-Suggests: kalgebra-plasmoid
+Suggests: kalgebra-plasmoid,
 Description: algebraic graphing calculator for small touch based interfaces
  KAlgebra is a algebraic graphing calculator with support for 3D graphing and
  MathML markup language. This is the version for small touch based interfaces

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

webengine_archs := amd64 arm64 armhf i386

%:
	dh $@

ifneq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),$(webengine_archs)))
override_dh_auto_configure:
	dh_auto_configure --buildsystem=kf6 -- -DMOBILE_BACKEND="none"
endif

## kalgebra 25.04.3

=== debian/changelog ===
kalgebra (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:37:47 +0100

kalgebra (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:39:27 +0100

kalgebra (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:02:12 +0100

kalgebra (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:43:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: kalgebra
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
+               dh-apparmor,
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.3.0~),
                kirigami-addons-dev,
-               libanalitza-dev (>= 4:24.08.2~),
+               libanalitza-dev (>= 4:25.04.3~),
                libgl-dev,
                libglu-dev,
                libkf6configwidgets-dev (>= 6.3.0~),
@@ -19,7 +21,6 @@
                libkf6kio-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.3.0~),
                libkf6xmlgui-dev (>= 6.3.0~),
-               libkirigami-dev,
                libncurses-dev,
                libplasma-dev,
                libreadline-dev,
@@ -28,10 +29,11 @@
                qt6-declarative-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
                qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://edu.kde.org/kalgebra
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalgebra
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalgebra.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
+Rules-Requires-Root: no
 
 Package: kalgebra
 Architecture: amd64 arm64 armhf i386
@@ -39,7 +41,7 @@
 Depends: kalgebra-common (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Suggests: kalgebra-plasmoid,
+Suggests: kalgebra-plasmoid
 Conflicts: calgebra,
 Description: algebraic graphing calculator
  KAlgebra is a algebraic graphing calculator with support for 3D graphing and
@@ -62,11 +64,11 @@
 Package: kalgebra-plasmoid
 Architecture: any
 Depends: kalgebra-common (= ${source:Version}),
+         ${qml6:Depends},
          ${misc:Depends},
-         ${qml6:Depends},
-Enhances: plasma-desktop,
-Breaks: kalgebra-common (<< 4:24.08.3),
-Replaces: kalgebra-common (<< 4:24.08.3),
+Enhances: plasma-desktop
+Breaks: kalgebra-common (<< 4:24.08.3)
+Replaces: kalgebra-common (<< 4:24.08.3)
 Description: Widget for Plasma desktop for kalgebra and kalgebramobile
  KAlgebra is a algebraic graphing calculator with support for 3D graphing and
  MathML markup language and it contains files needed for both full and mobile
@@ -81,7 +83,7 @@
          ${misc:Depends},
          ${qml6:Depends},
          ${shlibs:Depends},
-Suggests: kalgebra-plasmoid,
+Suggests: kalgebra-plasmoid
 Description: algebraic graphing calculator for small touch based interfaces
  KAlgebra is a algebraic graphing calculator with support for 3D graphing and
  MathML markup language. This is the version for small touch based interfaces

## kalgebra 25.07.80

=== debian/changelog ===
kalgebra (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:03:58 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.3.0~),
                kirigami-addons-dev,
-               libanalitza-dev (>= 4:25.04.3~),
+               libanalitza-dev (>= 4:25.07.80~),
                libgl-dev,
                libglu-dev,
                libkf6configwidgets-dev (>= 6.3.0~),

## kalgebra 25.07.90

=== debian/changelog ===
kalgebra (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:30:13 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.3.0~),
                kirigami-addons-dev,
-               libanalitza-dev (>= 4:25.07.80~),
+               libanalitza-dev (>= 4:25.07.90~),
                libgl-dev,
                libglu-dev,
                libkf6configwidgets-dev (>= 6.3.0~),

## kalgebra 25.08.0

=== debian/changelog ===
kalgebra (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:50:19 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.3.0~),
                kirigami-addons-dev,
-               libanalitza-dev (>= 4:25.07.90~),
+               libanalitza-dev (>= 4:25.08.0~),
                libgl-dev,
                libglu-dev,
                libkf6configwidgets-dev (>= 6.3.0~),
